After upgrading to FX25006, the IO would not start.

Document ID : KB000086392
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
Affects Release version(s): 5

Error Message :
uxioserv.log shows:
Patch level detected:Dollar Universe 5.6.0
Product Version: Dollar.Universe 5.6.0 FX25010

Description :DU5.6 node was running on patch FX24932, after upgrading to FX25006, the IO would not start.
Environment:
OS: IBM AIX
Cause:
Cause type:
Configuration
Root Cause: This is a result of a configuration issue. The library path is hardcoded to be /usr/lib/libux_v560. For example,
106943 -r-xr-xr-x 1 univa universe 125149 Apr 17 2012 /usr/lib/libux_v560/libkumpapi.a
However, $U upgrade is updating the libraries in /opt/universe/UNIV56/exec/lib. So, after the upgrade, the IO can not find the proper library.
Resolution:
The solution is to use the default setting, use a soft link like below.

/usr/lib/libux_v560 -> /opt/universe/UNIV56/exec/lib.

Fix Status: No Fix

Additional Information:
Workaround :
N/A